# Class TradesClient

#### Hierarchy

- TradesClient

- Defined in src/protobuf/GrpcServiceClientPb.ts:2705

#####
Index

### Constructors

constructor

### Properties

client_
credentials_
hostname_
methodDescriptorCompleteTrade
methodDescriptorConfirmPaymentReceived
methodDescriptorConfirmPaymentSent
methodDescriptorGetChatMessages
methodDescriptorGetTrade
methodDescriptorGetTrades
methodDescriptorSendChatMessage
methodDescriptorTakeOffer
methodDescriptorWithdrawFunds
options_

### Methods

completeTrade
confirmPaymentReceived
confirmPaymentSent
getChatMessages
getTrade
getTrades
sendChatMessage
takeOffer
withdrawFunds

## Constructors

### constructor

- new TradesClient(hostname: string, credentials?: null | {
  [index: string]: string;
  }, options?: null | {
  [index: string]: any;
  }): TradesClient

- #### Parameters

  - ##### hostname: string

  - ##### `Optional` credentials: null | {
    [index: string]: string;
    }

  - ##### `Optional` options: null | {
    [index: string]: any;
    }

  #### Returns TradesClient

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2711

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:2706

### credentials_

credentials_: null | {
[index: string]: string;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:2708

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:2707

### methodDescriptorCompleteTrade

methodDescriptorCompleteTrade: MethodDescriptor<CompleteTradeRequest, CompleteTradeReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2939

### methodDescriptorConfirmPaymentReceived

methodDescriptorConfirmPaymentReceived: MethodDescriptor<ConfirmPaymentReceivedRequest, ConfirmPaymentReceivedReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2896

### methodDescriptorConfirmPaymentSent

methodDescriptorConfirmPaymentSent: MethodDescriptor<ConfirmPaymentSentRequest, ConfirmPaymentSentReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2853

### methodDescriptorGetChatMessages

methodDescriptorGetChatMessages: MethodDescriptor<GetChatMessagesRequest, GetChatMessagesReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3025

### methodDescriptorGetTrade

methodDescriptorGetTrade: MethodDescriptor<GetTradeRequest, GetTradeReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2724

### methodDescriptorGetTrades

methodDescriptorGetTrades: MethodDescriptor<GetTradesRequest, GetTradesReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2767

### methodDescriptorSendChatMessage

methodDescriptorSendChatMessage: MethodDescriptor<SendChatMessageRequest, SendChatMessageReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3068

### methodDescriptorTakeOffer

methodDescriptorTakeOffer: MethodDescriptor<TakeOfferRequest, TakeOfferReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2810

### methodDescriptorWithdrawFunds

methodDescriptorWithdrawFunds: MethodDescriptor<WithdrawFundsRequest, WithdrawFundsReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2982

### options_

options_: null | {
[index: string]: any;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:2709

## Methods

### completeTrade

- completeTrade(request: CompleteTradeRequest, metadata?: null | Metadata): Promise<CompleteTradeReply>

- #### Parameters

  - ##### request: CompleteTradeRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<CompleteTradeReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2950
- completeTrade(request: CompleteTradeRequest, metadata: null | Metadata, callback: ((err: RpcError, response: CompleteTradeReply) => void)): ClientReadableStream<CompleteTradeReply>

- #### Parameters

  - ##### request: CompleteTradeRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: CompleteTradeReply) => void)

    - - (err: RpcError, response: CompleteTradeReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: CompleteTradeReply

        #### Returns void

  #### Returns ClientReadableStream<CompleteTradeReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2954

### confirmPaymentReceived

- confirmPaymentReceived(request: ConfirmPaymentReceivedRequest, metadata?: null | Metadata): Promise<ConfirmPaymentReceivedReply>

- #### Parameters

  - ##### request: ConfirmPaymentReceivedRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<ConfirmPaymentReceivedReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2907
- confirmPaymentReceived(request: ConfirmPaymentReceivedRequest, metadata: null | Metadata, callback: ((err: RpcError, response: ConfirmPaymentReceivedReply) => void)): ClientReadableStream<ConfirmPaymentReceivedReply>

- #### Parameters

  - ##### request: ConfirmPaymentReceivedRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: ConfirmPaymentReceivedReply) => void)

    - - (err: RpcError, response: ConfirmPaymentReceivedReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: ConfirmPaymentReceivedReply

        #### Returns void

  #### Returns ClientReadableStream<ConfirmPaymentReceivedReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2911

### confirmPaymentSent

- confirmPaymentSent(request: ConfirmPaymentSentRequest, metadata?: null | Metadata): Promise<ConfirmPaymentSentReply>

- #### Parameters

  - ##### request: ConfirmPaymentSentRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<ConfirmPaymentSentReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2864
- confirmPaymentSent(request: ConfirmPaymentSentRequest, metadata: null | Metadata, callback: ((err: RpcError, response: ConfirmPaymentSentReply) => void)): ClientReadableStream<ConfirmPaymentSentReply>

- #### Parameters

  - ##### request: ConfirmPaymentSentRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: ConfirmPaymentSentReply) => void)

    - - (err: RpcError, response: ConfirmPaymentSentReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: ConfirmPaymentSentReply

        #### Returns void

  #### Returns ClientReadableStream<ConfirmPaymentSentReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2868

### getChatMessages

- getChatMessages(request: GetChatMessagesRequest, metadata?: null | Metadata): Promise<GetChatMessagesReply>

- #### Parameters

  - ##### request: GetChatMessagesRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetChatMessagesReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3036
- getChatMessages(request: GetChatMessagesRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetChatMessagesReply) => void)): ClientReadableStream<GetChatMessagesReply>

- #### Parameters

  - ##### request: GetChatMessagesRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetChatMessagesReply) => void)

    - - (err: RpcError, response: GetChatMessagesReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetChatMessagesReply

        #### Returns void

  #### Returns ClientReadableStream<GetChatMessagesReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3040

### getTrade

- getTrade(request: GetTradeRequest, metadata?: null | Metadata): Promise<GetTradeReply>

- #### Parameters

  - ##### request: GetTradeRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetTradeReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2735
- getTrade(request: GetTradeRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetTradeReply) => void)): ClientReadableStream<GetTradeReply>

- #### Parameters

  - ##### request: GetTradeRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetTradeReply) => void)

    - - (err: RpcError, response: GetTradeReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetTradeReply

        #### Returns void

  #### Returns ClientReadableStream<GetTradeReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2739

### getTrades

- getTrades(request: GetTradesRequest, metadata?: null | Metadata): Promise<GetTradesReply>

- #### Parameters

  - ##### request: GetTradesRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetTradesReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2778
- getTrades(request: GetTradesRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetTradesReply) => void)): ClientReadableStream<GetTradesReply>

- #### Parameters

  - ##### request: GetTradesRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetTradesReply) => void)

    - - (err: RpcError, response: GetTradesReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetTradesReply

        #### Returns void

  #### Returns ClientReadableStream<GetTradesReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2782

### sendChatMessage

- sendChatMessage(request: SendChatMessageRequest, metadata?: null | Metadata): Promise<SendChatMessageReply>

- #### Parameters

  - ##### request: SendChatMessageRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<SendChatMessageReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3079
- sendChatMessage(request: SendChatMessageRequest, metadata: null | Metadata, callback: ((err: RpcError, response: SendChatMessageReply) => void)): ClientReadableStream<SendChatMessageReply>

- #### Parameters

  - ##### request: SendChatMessageRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: SendChatMessageReply) => void)

    - - (err: RpcError, response: SendChatMessageReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: SendChatMessageReply

        #### Returns void

  #### Returns ClientReadableStream<SendChatMessageReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3083

### takeOffer

- takeOffer(request: TakeOfferRequest, metadata?: null | Metadata): Promise<TakeOfferReply>

- #### Parameters

  - ##### request: TakeOfferRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<TakeOfferReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2821
- takeOffer(request: TakeOfferRequest, metadata: null | Metadata, callback: ((err: RpcError, response: TakeOfferReply) => void)): ClientReadableStream<TakeOfferReply>

- #### Parameters

  - ##### request: TakeOfferRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: TakeOfferReply) => void)

    - - (err: RpcError, response: TakeOfferReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: TakeOfferReply

        #### Returns void

  #### Returns ClientReadableStream<TakeOfferReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2825

### withdrawFunds

- withdrawFunds(request: WithdrawFundsRequest, metadata?: null | Metadata): Promise<WithdrawFundsReply>

- #### Parameters

  - ##### request: WithdrawFundsRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<WithdrawFundsReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2993
- withdrawFunds(request: WithdrawFundsRequest, metadata: null | Metadata, callback: ((err: RpcError, response: WithdrawFundsReply) => void)): ClientReadableStream<WithdrawFundsReply>

- #### Parameters

  - ##### request: WithdrawFundsRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: WithdrawFundsReply) => void)

    - - (err: RpcError, response: WithdrawFundsReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: WithdrawFundsReply

        #### Returns void

  #### Returns ClientReadableStream<WithdrawFundsReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2997

Generated using TypeDoc